- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# dladm_vlan – Manage VLAN interfaces on Solaris/illumos systems

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Create or delete VLAN interfaces on Solaris/illumos systems.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
link - / required |  | VLAN underlying link name.
name - / required |  | VLAN interface name.
state - | Choices: present ← absent | Create or delete Solaris/illumos VNIC.
temporary boolean | Choices: no ← yes | Specifies that the VLAN interface is temporary. Temporary VLANs do not persist across reboots.
vlan_id - | Default: "no" | VLAN ID value for VLAN interface. aliases: vid

## Examples

    - name: Create 'vlan42' VLAN over 'bnx0' link
      dladm_vlan: name=vlan42 link=bnx0 vlan_id=42 state=present

    - name: Remove 'vlan1337' VLAN interface
      dladm_vlan: name=vlan1337 state=absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
link string | always | VLAN's underlying link name Sample: e100g0
name string | always | VLAN name Sample: vlan42
state string | always | state of the target Sample: present
temporary boolean | always | specifies if operation will persist across reboots Sample: True
vlan_id string | always | VLAN ID Sample: 42

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Adam Števko (@xen0l)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.